Bug 211517 - Restart (Reboot) does not work
Restart (Reboot) does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-19 15:45 EDT by dtweleve
Modified: 2008-05-06 12:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:30:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dtweleve 2006-10-19 15:45:18 EDT
Description of problem:

I can not RESTART my Linux (by using neither GUI Restart nor command init 6 ).
When I attempt the RESTART, the system shutdowns normally until it's ready to
start, then I get the following message: NO IDE Fixed disk present. So, I would
go into BIOS and then exit. This way, the IDE hard drive is detected and the
system would boot normally.

Everything is normal (BIOS H/W config remains unchanged) when I restart from
Windows or when I shutdown from Linux and then start the computer.

I checked the cable and it looked OK. Also, I plugged in my backup hard drive
(one month old backup) and I experienced the same problem. Both hard drives are
Seagate 120 GB and are 1 - 2 year old. I had recently re-formatted both disks
and I had no problem during format and during backups.

Furthermore, I have replaced the CMOS Battery and I still have the problem.


Version-Release number of selected component (if applicable):
2.6.18-1.2200.fc5

How reproducible:
Every time to restart (reboot) the computer.

Steps to Reproduce:
1.Gnome menu : System/Shut Down/Restart
2.Terminal window: init 6
3.
  
Actual results:
The system shutdowns normally until it's ready to start, then I get the
following message: NO IDE Fixed disk present.

Expected results:
The computer system to shutdown and then start.

Additional info:
I have discussed this issue on Fedora Forum and the details are in the following
thread: http://www.fedoraforum.org/forum/showthread.php?t=123169
Comment 1 Chris Papademetrious 2006-10-29 18:26:58 EST
I have had a similar problem on my machine:

ECS NForce3-A (Socket 754 Athlon 3400)
Radeon 9250
3ware 9500 PCI SATA RAID controller

The only storage in this machine is the 3ware RAID5 array (4 x 320GB).  There 
are no other bare drives, and I install the system directly onto the array.

I can shut the machine down using the Shutdown function from the Gnome menu 
with no problems.  If I try to do a Restart, or I do an "init 6", the shutdown 
proceeds normally until the machine is about to restart.  Then instead of 
restarting into POST, the 3ware's activity LED turns on and stays on, and the 
machine hangs with a blank screen.

I have done multiple back-to-back clean installs of FC5 and FC6 onto the 
array.  FC5 always restarts fine, and FC6 always hangs during restarts.  I am 
running the x86_64 builds in both cases.  I have not tried the 32-bit builds.
Comment 2 Trevor Cordes 2006-10-29 18:51:55 EST
These are almost certainly hardware / BIOS problems and almost certainly NOT
linux problems.  If the NO IDE DISK error occurs before you see the grub/lilo
boot screen (ie: still in the BIOS/POST) then the error cannot be linux.  Try
updating your BIOS firmware or getting a better mobo.
Comment 3 dtweleve 2006-11-09 14:50:41 EST
(In reply to comment #2)
> These are almost certainly hardware / BIOS problems and almost certainly NOT
> linux problems.  If the NO IDE DISK error occurs before you see the grub/lilo
> boot screen (ie: still in the BIOS/POST) then the error cannot be linux.  Try
> updating your BIOS firmware or getting a better mobo.
> 
Thank you for your reply. The interesting outcome that I have just experienced
when I intalled FC6 that my desktop restarts normally but it does not shutdown!!
When I do a shutdown, it goes through the shutdown process and reches the
"System halted" but it does not power off the system. Manually I have to press &
hold the power switch until it powers off.
So, I do not believe it got anything to do with the h/w since I checked the HDDs
and associated cable, I replaced the CMOS, and now FC6 behaves differently.
It seems to me that kernel, perhaps, does & holds teh cpu somehow so it can not
proceed any more.
Comment 4 dtweleve 2006-11-25 15:39:59 EST
Problem solved (at least on my system)

At one point I realized that my Floppy Drive is no longer present on my desktop.
When I checked the mounted devices I found it was missing from /etc/fstab. I
defined the mount point in /mnt and defined it in /etc/fstab and when I started
the system with Floppy Drive mounted and available, then I was always able to
restart my system any time.

Good luck & Regards
Comment 5 Bug Zapper 2008-04-04 00:01:49 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 12:30:24 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.